> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get general ledger entries

> Get general ledger entries, along with all associated debits and credits, for the user's business



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/accounting/generalLedgerEntries
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/accounting/generalLedgerEntries:
    get:
      tags:
        - Accounting
      summary: Get general ledger entries
      description: >-
        Get general ledger entries, along with all associated debits and
        credits, for the user's business
      operationId: getGeneralLedgerEntries
      parameters:
        - name: lastUpdatedDate
          in: header
          description: >-
            Date filter - returns all records updated after the specified date.
            Null returns all data
          schema:
            type: string
          example: '1970-01-01'
        - name: cursor
          in: header
          description: >-
            The cursor from the response of the previous GET request. For
            paginated responses only
          schema:
            type: string
        - name: limit
          in: header
          description: >-
            The page size, i.e. the number of items to return. For paginated
            responses only
          schema:
            type: integer
            format: int32
        - name: year
          in: query
          description: >-
            Year filter (YYYY) - returns all records for the specified year.
            Null will return all entries.
          schema:
            type: integer
            format: int32
        - name: beginDate
          in: query
          description: >-
            Begin date filter - returns all records with a date after the
            specified date.
          schema:
            type: string
        - name: endDate
          in: query
          description: >-
            End date filter - returns all records with a date before the
            specified date.
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRAX_GET_RESPONSEGeneralLedgerDTOV5List'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_GET_RESPONSEGeneralLedgerDTOV5List:
      properties:
        data:
          type: array
          description: The list of entities
          items:
            $ref: '#/components/schemas/GeneralLedgerDTOV5'
        lastUpdatedDate:
          type: string
          description: Date filter - to be used in your subsequent request
          format: date-time
        cursor:
          type: string
          description: >-
            Cursor to be used in your subsequent paginated request. Only
            populated if there are more pages available.
        deletedIds:
          type: array
          description: >-
            Ids of entities that no longer match the request's filter criteria
            since the request's lastUpdatedDate
          items:
            type: integer
            format: int32
    GeneralLedgerDTOV5:
      type: object
      properties:
        id:
          type: string
          description: Id of the general ledger entry
        entity:
          type: string
          description: The Tight entity to which this entry belongs
        entityId:
          type: integer
          description: Id of the entity to which this entry belongs
          format: int64
        description:
          type: string
          description: Description of this entry
        date:
          type: string
          description: Date the transactions comprising this entry occurred
          format: date-time
        period:
          type: string
          description: The period type of this entry
          enum:
            - NORMAL
            - YEAR_END_CLOSING
            - YEAR_END_ADJUSTMENT
        transactions:
          type: array
          description: List of transactions comprising this entry
          items:
            $ref: '#/components/schemas/GlTranConciseDTOV5'
        transactionsAndId:
          type: array
          writeOnly: true
          items:
            $ref: '#/components/schemas/GlTranConciseDTOV5'
    GlTranConciseDTOV5:
      required:
        - glAccountId
      type: object
      properties:
        glAccountId:
          type: integer
          description: GL account id, referencing an account in the chart of accounts
          format: int64
        drAmount:
          type: number
          description: Accounting debit amount; either drAmount or crAmount is required
        crAmount:
          type: number
          description: Accounting credit amount; either drAmount or crAmount is required
      description: >-
        List of accounting transactions comprising this entry. The total of all
        drAmounts must sum to the total of all crAmounts.
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````